cURL
curl -X POST 'https://api.nuntly.com/api-keys' \
-H 'Authorization: Bearer apk_xxx' \
-H 'Content-Type: application/json' \
-d '{"name":"Production","permission":"fullAccess"}'import { Nuntly } from '@nuntly/sdk';
const client = new Nuntly({
apiKey: process.env['NUNTLY_API_KEY'],
});
const response = await client.apiKeys.create({
name: 'Production',
permission: 'fullAccess',
});import com.nuntly.sdk.Nuntly;
import com.nuntly.sdk.ClientOptions;
import com.nuntly.sdk.models.*;
var nuntly = Nuntly.create(ClientOptions.builder()
.apiKey(System.getenv("NUNTLY_API_KEY"))
.build());
var response = nuntly.apiKeys().create(CreateApiKeyRequest.builder()
.name("Production")
.permission("fullAccess")
.build());import requests
url = "https://api.nuntly.com/api-keys"
payload = {
"name": "<string>",
"domainIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
{
"data": {
"id": "<string>",
"apiKey": "<string>",
"shortToken": "<string>",
"name": "<string>"
}
}{
"error": {
"status": 123,
"code": "<string>",
"title": "<string>",
"details": {}
}
}API Keys
Create Api Key
Generate a new API key. The key value is only returned once. Store it securely.
POST
/
api-keys
cURL
curl -X POST 'https://api.nuntly.com/api-keys' \
-H 'Authorization: Bearer apk_xxx' \
-H 'Content-Type: application/json' \
-d '{"name":"Production","permission":"fullAccess"}'import { Nuntly } from '@nuntly/sdk';
const client = new Nuntly({
apiKey: process.env['NUNTLY_API_KEY'],
});
const response = await client.apiKeys.create({
name: 'Production',
permission: 'fullAccess',
});import com.nuntly.sdk.Nuntly;
import com.nuntly.sdk.ClientOptions;
import com.nuntly.sdk.models.*;
var nuntly = Nuntly.create(ClientOptions.builder()
.apiKey(System.getenv("NUNTLY_API_KEY"))
.build());
var response = nuntly.apiKeys().create(CreateApiKeyRequest.builder()
.name("Production")
.permission("fullAccess")
.build());import requests
url = "https://api.nuntly.com/api-keys"
payload = {
"name": "<string>",
"domainIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
{
"data": {
"id": "<string>",
"apiKey": "<string>",
"shortToken": "<string>",
"name": "<string>"
}
}{
"error": {
"status": 123,
"code": "<string>",
"title": "<string>",
"details": {}
}
}Authorizations
Use an API key from https://nuntly.com/api-keys. Required on every endpoint.
Body
application/json
The permission type for the api key
Available options:
fullAccess, sendingAccess The name of the api key
Example:
"Production"
The status for the api key
Available options:
enabled, disabled, revoked The domain ids to restrict the api key to (only for sendingAccess)
Response
Created.
Show child attributes
Show child attributes
⌘I
